> ## Documentation Index > Fetch the complete documentation index at: https://bunny.net/docs/llms.txt > Use this file to discover all available pages before exploring further. # Get all of your Shield Zone Configurations ## OpenAPI ````yaml https://api.bunny.net/shield/docs/v1/swagger.json get /shield/shield-zones openapi: 3.0.4 info: title: Bunny Shield API description: >- Bunny.net API for Bunny Shield (WAF, DDoS, Rate Limiting, Bot Detection, Access Lists & API Guardian). version: v1 servers: - url: https://api.bunny.net security: [] paths: /shield/shield-zones: get: tags: - Shield Zone summary: Get all of your Shield Zone Configurations operationId: Get Shield Zone Configurations parameters: - name: page in: query description: (Optional) The page number of results. schema: maximum: 2147483647 minimum: 1 type: integer description: (Optional) The page number of results. format: int32 default: 1 - name: perPage in: query description: '(Optional) (Default: 10) The amount of results returned on one page.' schema: maximum: 10000 minimum: 1 type: integer description: >- (Optional) (Default: 10) The amount of results returned on one page. format: int32 default: 10 responses: '200': description: OK content: text/plain: schema: $ref: '#/components/schemas/GetShieldZonesResponse' application/json: schema: $ref: '#/components/schemas/GetShieldZonesResponse' text/json: schema: $ref: '#/components/schemas/GetShieldZonesResponse' '401': description: Unauthorized content: text/plain: schema: $ref: '#/components/schemas/UnauthorizedResult' application/json: schema: $ref: '#/components/schemas/UnauthorizedResult' text/json: schema: $ref: '#/components/schemas/UnauthorizedResult' '500': description: Internal Server Error components: schemas: GetShieldZonesResponse: type: object properties: data: type: array items: $ref: '#/components/schemas/ShieldZoneResponse' nullable: true page: $ref: '#/components/schemas/PaginationResponse' additionalProperties: false UnauthorizedResult: type: object properties: statusCode: type: integer format: int32 additionalProperties: false ShieldZoneResponse: type: object properties: shieldZoneId: type: integer format: int64 pullZoneId: type: integer format: int64 nullable: true learningMode: type: boolean nullable: true learningModeUntil: type: string format: date-time nullable: true wafEnabled: type: boolean nullable: true wafExecutionMode: $ref: '#/components/schemas/WAFExecutionMode' wafDisabledRules: uniqueItems: true type: array items: type: string nullable: true wafLogOnlyRules: uniqueItems: true type: array items: type: string nullable: true wafCustomRuleOrder: type: array items: type: integer format: int64 nullable: true wafRequestHeaderLoggingEnabled: type: boolean requestBodyLoggingEnabled: type: boolean wafRequestIgnoredHeaders: uniqueItems: true type: array items: type: string nullable: true wafRealtimeThreatIntelligenceEnabled: type: boolean nullable: true wafProfileId: type: integer format: int32 nullable: true wafEngineConfig: type: array items: $ref: '#/components/schemas/PullZoneWafConfigVariableModel' nullable: true wafRequestBodyLimitAction: $ref: '#/components/schemas/WAFPayloadLimitAction' wafResponseBodyLimitAction: $ref: '#/components/schemas/WAFPayloadLimitAction' rateLimitRulesLimit: type: integer format: int32 customWafRulesLimit: type: integer format: int32 planType: $ref: '#/components/schemas/ShieldPlanType' dDoSShieldSensitivity: $ref: '#/components/schemas/DDoSShieldSensitivity' dDoSExecutionMode: $ref: '#/components/schemas/DDoSExecutionMode' dDoSChallengeWindow: type: integer format: int32 nullable: true whitelabelResponsePages: type: boolean nullable: true additionalProperties: false PaginationResponse: type: object properties: totalCount: type: integer format: int32 totalPages: type: integer format: int32 currentPage: type: integer format: int32 nextPage: type: integer format: int32 nullable: true pageSize: type: integer format: int32 additionalProperties: false WAFExecutionMode: enum: - 0 - 1 type: integer description: |- 0 = Log 1 = Block format: int32 x-enum-varnames: - Log - Block PullZoneWafConfigVariableModel: required: - name - valueEncoded type: object properties: name: type: string nullable: true valueEncoded: type: string nullable: true additionalProperties: false WAFPayloadLimitAction: enum: - 0 - 1 - 2 type: integer description: |- 0 = Block 1 = Log 2 = Ignore format: int32 x-enum-varnames: - Block - Log - Ignore ShieldPlanType: enum: - 0 - 1 - 2 - 3 type: integer description: |- 0 = Basic 1 = Advanced 2 = Business 3 = Enterprise format: int32 x-enum-varnames: - Basic - Advanced - Business - Enterprise DDoSShieldSensitivity: enum: - 0 - 1 - 2 - 3 - 4 - 5 type: integer description: |- 0 = Off 1 = Low 2 = Medium 3 = High 4 = Challenge 5 = ChallengeInteractive format: int32 x-enum-varnames: - 'Off' - Low - Medium - High - Challenge - ChallengeInteractive DDoSExecutionMode: enum: - 0 - 1 type: integer description: |- 0 = Log 1 = Block format: int32 x-enum-varnames: - Log - Block ```` This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.